Update Organization User
curl --request PATCH \
--url https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role_id": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/users/{user_id}"
payload = { "role_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_id: '<string>'})
};
fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/members/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"name": "<string>",
"role_assignments": [
{
"role": {
"role_id": "<string>",
"role_name": "<string>"
},
"org_id": "<string>"
}
],
"user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Users & Membership (Enterprise)
Update Organization User
PATCH
/
v3
/
enterprise
/
organizations
/
{org_id}
/
members
/
users
/
{user_id}
Update Organization User
This endpoint only operates on direct organization role assignments. To manage roles inherited through IDP group membership, use the IDP group role management endpoints.
Permissions
Requires a service user with theManageAccountMembership permission at the enterprise level.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Organization ID (prefix: org-)
Example:
"org-abc123def456"
User ID
Body
application/json
⌘I

